package fr.cnam.coursOO.exercice;

public class Duree {
	// Invariant : minute dans [0,59]
	private int heure, minute;

	public Duree(int heure, int minute) {
		if (heure < 0 || minute < 0 || minute >= 60)
			throw new IllegalArgumentException("heure ou minutes incorrect "+ heure+ " "+minute);
		// Je SAIS que heure >= 0 et que minute compris entre 0 et 59 inclus.
		this.heure= heure;
		this.minute= minute;		
	}

	public int getHeure() {
		return heure;
	}

	public int getMinute() {
		return minute;
	}
	
	public String toString() {
		return heure+ ":"+ minute;
	}
	/**
	 * Dit si this est égal à autre.
	 * 
	 * @param autre
	 * @return
	 */
	public boolean egal(Duree autre) {
		return (this.heure == autre.heure && this.minute == autre.minute);			
	}

	public boolean plusGrandeQue(Duree autre) {
		if (this.heure != autre.heure) {
			return this.heure > autre.heure;
		} else 
			return this.minute > autre.minute;
				
	}

	public Duree ajouter(Duree autre) {
		int nouvHeure= this.heure+ autre.heure;
		int nouvMinute= this.minute+ autre.minute;
		if (nouvMinute >= 60) {
			nouvMinute= nouvMinute - 60;
			nouvHeure= nouvHeure + 1;
		}
		return new Duree(nouvHeure, nouvMinute);
	}

}
