package fr.cnam.nfa023.heritage.formes;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;

public class Rectangle extends Forme {

	
	private RectF rect;

	public Rectangle(float minx, float miny, float maxx, float maxy, Paint paint) {
		super(paint);
		rect= new RectF(minx, miny, maxx, maxy);
	}

	@Override
	public void draw(Canvas canvas) {
		canvas.drawRect(rect, paint);
	}

}
