package fr.cnam.coursOO.exercice;

public class Duree2 {
	/**
	 * Nombre de minutes dans la durée
	 */
	private int minuteTotal;

	public Duree2(int heure, int minute) {
		if (heure < 0 || minute < 0 || minute >= 60)
			throw new IllegalArgumentException("heure ou minutes incorrect "
					+ heure + " " + minute);
		// Je SAIS que heure >= 0 et que minuteTotal compris entre 0 et 59 inclus.
		this.minuteTotal = minute + heure * 60;
	}

	private Duree2(int minutesTotal) {
		this.minuteTotal= minutesTotal;
	}
	
	public int getHeure() {
		return minuteTotal / 60;
	}

	public int getMinute() {
		return minuteTotal % 60;
	}

	public String toString() {
		return getHeure() + ":" + getMinute();
	}

	/**
	 * Dit si this est égal à autre.
	 * 
	 * @param autre
	 * @return
	 */
	public boolean egal(Duree2 autre) {
		return (this.minuteTotal == autre.minuteTotal);
	}

	public boolean plusGrandeQue(Duree2 autre) {
		return this.minuteTotal > autre.minuteTotal;
	}

	public Duree2 ajouter(Duree2 autre) {
		return new Duree2(this.minuteTotal+ autre.minuteTotal);
	}

}
