package fr.cnam.coursOO.heritage;

public class Commercial extends Employe {
	
	private double chiffreAffaire=0;
	
	public Commercial(String nom, double salaireFixe, double chiffreAffaire) {
		// 1ere ligne du constructeur : super(....) appelle le constructeur de la classe mère (Employe)
		super(nom, salaireFixe);
		this.chiffreAffaire= chiffreAffaire;
	}
	
	public void setChiffreAffaire(double chiffreAffaire) {
		this.chiffreAffaire = chiffreAffaire;
	}
	
	public double getChiffreAffaire() {
		return chiffreAffaire;
	}
	
	@Override
	public double getSalaire() {
		return getSalaireFixe() + 0.1 * getChiffreAffaire(); 
	}
	
	@Override
	public String toString() {
		// Appel du toString de la classe parente (Employe)
		return super.toString() + " ca: " + getChiffreAffaire();
	}
}
