package fr.cnam.coursOO.interfaces;

/**
 * 
 * On promet avec "implements" de fournir les 
 * fonctionnalités décrites par Loggable.
 * 
 * On peut implémenter plusieurs interfaces.
 */
public class LogConsole implements Loggable {

	private int level= 0;

	
	public void log(int pri, String msg) {
		if (pri >= level)
			System.err.println(msg);
	}

	
	public void setPriority(int level) {
		this.level= level;
	}

}
