package fr.cnam.nfa023.heritage;

import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;

/**
 * Listener pour réagir au clic de bouton (et lancer une nouvelle activité).
 *
 */
// Remarquer que la classe implémente l'interface OnClickListener.
public class Button1Listener implements OnClickListener {

	// La classe a besoin de connaître l'activité qui l'a déclenchée 
	// pour pouvoir créer un "Intent" plus tard :
	private PremiereActivity activity;

	// Constructeur. Prend en argument l'activité d'origine.
	public Button1Listener(PremiereActivity activity) {
		this.activity= activity;
		View v;
	}

	public void onClick(View v) {
		// Quand on clique, on lance Exemple1Activity.
		Intent intent= new Intent(activity, Exemple1Activity.class);
		activity.startActivity(intent);
	}

}
