package fr.cnam.nfa023.heritage.formes;

import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.RectF;

public class Cercle extends Forme {

	
	private RectF oval;

	public Cercle(float cx, float cy, float r, Paint paint) {
		super(paint);
		oval= new RectF(cx-r, cy -r, cx+r, cy+r);
	}

	@Override
	public void draw(Canvas canvas) {
		canvas.drawOval(oval, paint);
	}

}
